August 1

VERSION 1.0.0

	- scsii-paper: no wordwrap
	- bf's: texinfo

pl 85.jcn2
	- ONEWS -> NEWS-0.1
	- bf: zip: list of docfiles
	- bf: install info
	- bf's: rpm spec
	- website ok
	- mudela version bump -> 1.0.0
	- bf's: '[a-g] -> ,
	- bf: broken.ly
	- ly2dvi fixes, (PC)

pl 85.hwn1
	- search & replace: jan@digicash.com -> janneke@gnu.org

pl 85.jcn1
	- website fixes
	- debian fixes (thanks, Bastian Kleineidam)
	- some (yet unfinished) doco

*********
pl 85
july 30 

pl 84.hwn4
	- revamped install directions.
pl 84.eb1
 	- key undo    

pl 84.hwn3
	- misc scsii fixes.
	- doco fixes

pl 84.jcn3
 	- bf: titledefs without poet
 	- scsii fixes

pl 84.hwn2
	- don't make key items if no accs present.
	- Oops.   Lyric spacing should go to the right (and not left) (thanks, PC)
	- barnumbering break priority.
	- bf: tied chords
	- 16pt init for yodl-mudela
	- split span-score-bar.{cc,hh}
	- junked most experimental_features_global_b stuff
	- revised AUTHORS.yo 
	- dot stuff.  Added a Dot_column_engraver  (thanks, Mats)

pl 84.jcn2
       - ly2dvi fixes
       - w32/install doco fixes
       - mutopia fixes

pl 84.hwn1
	- fixes for ly2dvi + titledefs (Peter Chubb)
	- merge Span_dynamic_reqs too

pl 84.mb1
        - MF: Added breve and longa rests.
 
pl 84 jcn1
	- top website
	- ps-to-gifs: TRANSPARENT_IS_BROKEN (ppc hack)

pl 84.uu1
	- doco fixes

*************
pl 84

pl 83.jcn5
	- bf: typo mudela-doc
	- long getopt all the way

pl 83.hwn5
	- doco fixes
	- bf: initialise axis_ filed of script
	- separate versioning for mi2mu and flowerlib dropped. 
	- split bin/ in buildscripts/ and scripts/

pl 83.jcn3
	- egcs ICE stuff.

pl 83.jbr2
	- lily/midi-stream.cc: added appropriate MODE options to open 
	midi output as a binary file.  This should be pretty harmless.
	- lily/lexer.ll: added \r as white and black space to enable
	W32 native editors.  This also should be harmless.

pl 83.jbr1
	- flower/lgetopt.cc: report method fix. (String + char needs to be 
	fixed)


pl 83.hwn4
	- stepmake := stuff


pl 83.hwn3
	- \property maxVerticalAlign, minVerticalAlign tunes vertical
	staff distances.  See input/test/vertical-align.ly
	- bf: scripts over chords. (thanks, PC)
	- revamped aligning stuff: Align_element is baseclass
	for Horizontal_align_item and Vertical_align_spanner
	- bf: Clef_item with _8 does new/del correctly. 
	- more file renaming -elem -> -element

pl 83.hwn2
	- doco fixes (thanks, Lambert)
	- tieydirection,slurydirection overrides ydirection (thanks, PC)

pl 83.jcn1
	- bf: stepmake

pl 83.hwn1
	- rm'd clean-embeds.sh
	- rm'd \octave from all examples.

pl 83.uu1
	- mi2mu output mudela 0.1.21
	- meter -> time_signature
	- bugfixes for mi2mu, divide by zero error.  (thx, JBR)


********
july 23

pl 83
pl 82.hwn2
	- \musical_pitch -> \musicalpitch (mudela 0.1.21)
	- meter -> time_signature,
	- \meter -> \time (mudela 0.1.21)
	- moving around files : -grav -> -engraver
	- doco fixes

pl 82.jcn5
	- doc make fixes; stepmake 34

pl 82.jcn4
	- lots of doco build/install/website fixes
	- junked some doubles from doco

	- mi2mu syntax to 0.1.20
	- bf: mi2mu col creation
	- bf: stream << '\t', int
	- bf: mi2mu version
	- bf: font-body.ly

pl 82.jcn3
 	- bf's: diff/stepmake
 
pl 82.jcn2
 	- bf: slur blow
 	- tie/slur ydirection
 	- makeflags / diff fixes
 
pl 82.jcn1
	- rejects: verbatim copy of Coriolan from 81.jcn2

pl 81.jbr2
 	- Documentation/README-W32.yo: Additions to section 2

*******

pl 82

pl 81.jbr1
	- NT fixes for release target
	  * stepmake/stepmake: %=--% => %=% in diff target
	    Cygnus make with MAKE_MODE=unix forces a MAKEFLAG of --unix.
	    This results in a ----unix switch being passed to package-diff.
	    This may break normal operation of this target.
	  * stepmake/bin/package-diff.py: added a do nothing option --unix
pl 81.jcn2
	- bf: abbrev
	- found ugly slur bug
	- egcs workaround
	- more Coriolan fixes
	- half-beam fix

pl 81.hwn2
	- lots of vocabulary
	- break_priority_i_  fixes: barnumbering, marginstuff, marks now work more or less
	- wrote lilypond-docs RPM spec
	- major brainsurgery: class Graphical_axis_group:
	  * derive Axis_group_element from Graphical_axis_group,
	  * derive Graphical_axis_group from Graphical_element
	- junked input/minimal.ly
	

pl 81.hwn1
	- cleaned up parser.yy (removed  \textstyle from parser, other stuff)
	- Slurs have height too.
	- typewrite textstyle
	- added error rule to music.
	- Documentation/pictures/ subdir
	- Documentation/topdocs/ subdir


pl 81.jcn1
	- coriolan fixes.

******
july 16

pl 81

pl 80.jcn1
	- Coriolan: bulk remainder of strings

pl 80.hwn1
	- junked coriolan-alto.ly
	- the great Search & Replace
	  * Score_elem -> Score_element
	  * hanwen@stack.nl -> hanwen@cs.uu.nl
	  * Colinfo -> Column_info
	  * add () -> add_xxxx ()
	  * Col_hpositions -> Column_x_positionso
	- lily-proto.hh cleanup
	- moved Dot_column creation.  Dot bug fixed
	- typos README-W32
	- ADD_THIS_TRANSLATOR uses templates now.

pl 80.eb1
	- accidental transposition


*******

pl 80
	- some make vs $(MAKE) bugs

pl 79.hwn1
	- bf lily/VERSION depends on toplevel VERSION
	- bf postbreak_only scripts
       - Staff_side now is horizontal too
       - rm'd \octave in scales.ly

pl 79.jcn2
	- w32 support doco (JBR)
	- bf: install info
	- truncated some very long filenames (not bo length)

pl 79.jcn1
	- bf: ps-to-gifs
	- html fixes
	- more italian (TDM)
	- more coriolan


*********
pl 79

pl 78.hwn2
	- reversed some of the beyond-too-ugly hacks for script/staffside.
	- bf: Axis_group_element::access_Axis_group_element () (2nd fix for Hara_kiri)
	- more .bib stuff.
	- more doco, lots of small fixes for .yo stuff.


pl 78.jcn2
	- bf: make docxx
	- some doco/website fixes
i	- screenshots for website
	- fixed locale
	- v78
	- w32 doco

pl 78.hwn1
	- more bib fixes
	- uniformised virtual accessors for Score_elem children.
	- bf Hara_kiri seg fault
	- changed left == right spanpoint assert into warning
	- changed Lyrics.textstyle  to Voice.textstyle where appropriate

pl 78.jcn1
	- counter fix

************

pl 78

pl 77.hwn1
	- Key transposition (MB)
	- move .dstreamrc to dstreamrc
	- make website fixes. junked z.yo, language.yo
	- split off computer stuff from engraving.bib
	- articles from CMJ added to computer-notation.bib
	- doco fixes
	- syntax of \skip and \partial changed; take only single durations
 


pl 77.jcn2
	- mark placement
	- w32 doco
	- html-footer: (PACKAGE)_COUNTERPATH

pl 77.jcn1
	- doco, bib fixes
	- fixed \mark A; \mark 12;

pl 77.hwjc
	- dropped perl
	- py fixes


pl 77.uu1
	- \textstyle obsoletized, use \property Voice.textstyle now.

*******
pl 77
	- bf: install info
	- bf: key-grav.cc: ambiguous conversion
	- bf: mudela.yo glossary em() -> \emph{}

pl 76.jcn1
	- irix compile install fixes, .bib stuff (HWN)
	- bracket bit lighter
	- brace/bracket placement
	- minor fixes in key code
	- small website fixes
	- invocation mudela-book
	- try at bracket/brace placement

pl 75.mb1
	- Introduced real key names, \key e; gives E major!
	- Previous use of the \key command now called \accidentals, 
	  \accidentals fis cis gis dis; gives E major.
	- Support for special keys with different accidentals on 
	  different octaves, \specialkey \accidentals Fis Bes gis aiss';

**********
pl 76
	- website examples: 
	  * Thread -> Voice
	  * 18 -> 19
	  * type /consists Engraver vs Line_engraver stuff
	- bf: mutopia-index
	- to relative: twinke-pop
	- bf: clef-grav: null pointer assignment
	- ran convert-mudela

pl 75.jcn3
	- minieme fixes (HWN)
	- bf's: node() names have changed: Mudela Book/ Convert Mudela 
	- bf: lilyponddefs.tex: removed \fi, added braces

pl 75.hwn2
	- bf lilyponddefs.tex: added \fi to \ifs
	- convert-mudela in python
	- mudela-book in python.
	- bf memleak Score_elem::do_brew_molecule ()
	- bf array bound read String_convert::split_arr
	- bf free mem read Item::Item (Item const &)
	- bf memleak Midi_walker::do_{stop,start}_note ()
	- bf memleak Spanner::do_brew_molecule ()
	- bf plet-engraver memleak 
 	- checked input/bugs dir.

pl 75.hwn1
	- junked octave (mudela 0.1.19)
  	- more .bib stuff
  	- doco fixes.
  
pl 75.jcn2
	- binary releases:
	  * make deb
	    * dpkg 1.4.0.23.2
	    * debhelper 0.96
	    * /usr/bin/db_*: remove -p from install options (urg)
	  * make rpm
	  * make zip
	- path to nice lilypond.info (must have a go at auto-nodes):
	  * mv'd Documentation/man/lilypond-info.yo -> Documentation/topinfo.yo
	  * included mutopia as example
	- bf: gifs: $(wildcard)
	- leave tarball in out/ too, after 'make release'
	- mf-to-table: --package
	- typo configure.in
	- nt make fixes (JBR)

pl 75.hwn1
	- clef 8 fix (AG)
	- junked octave (mudela 0.1.19)
	- more .bib stuff
	- doco fixes.

pl 75.jcn1
	- dropped mf/Rules.make
	- dropped target doosdist
	- dropped lilypython/pythonblurb
	- --package rest of python exes
	- packagepython/package-diff fixes


**********
pl 75

pl 74.jcn5
	- lost of (step)make fixes
	- 'make release'
	- --package

pl 74.mb1
	- Fix ":|:" that spans several staffs
	- bf: bar.cc, table of breaks
	- bf: engraver.ly, Complete the addition of ChoireStaff
	- bf: lilyponddefs.tex, placement of ":|".
	- Cleanup clef-item and clef-grav, prepare for dictionary
	  of clef names.

pl 74.jcn4
	- cygnus fixes: doco, compile, install

pl 74.jcn3
	- packagepythonified genheader
	- stepmake 21

pl 74.jcn2
	- renamed: ../redhat to ../RedHat
	- renamed (or huh, was this a typo?):
	   ../sourcetree -> lilypond-x.y.z to ../lilypond -> lilypond-x.y.z
	- what about ~/rpms; see stepmake/Variables.make?
	- README.txt
	- debashify: zet-lily (HWN)
	- www, yodl, stepmake fixes
	- ls-latex fixes
	- mudela.yo fixes

pl 74.jcn1
	- mudela.yo fixes
	- bf: add-html-footer: duplicate <body>

*********
pl 74
	- bf: ps-to-gifs fix

pl 73.jcn2
	- irix configure/link fixes (HWN)
	- untested fix for "^\f" (HWN)
	- add-html-footer: bgcolor=white
	- m.yo: successful 2tex and 2html
	- ps-to-gifs additions and fixes
	- bf: --output
	- (step)make targets:
	  * diff
	  * help
	  * rpm
	  * zip
	- yodl-1.30.pre4: handle mudela(options)(mudela)
	- small m.yo example for mudela.yo
	- crude tex2yodl in stepmake
	- mudela from stdin: default to filter behaviour
	- allow lelie to act as a pseudo-filter --output=-
	- fixed faq.yo
	- atvariables
	- bf's: module-deps
	- bf's table-to-html and invocation
	- small doco fixes

pl 73.hwn1
	- more doco
	- got rid of weird <> semantics
	  * Ties_engraver, Note_heads_engraver
	  * depracated \multi
 	  * depracated Thread context

	- wtk1-fugue{1,2} now in relative mode.  
	- don't create Rest_collision, Collision if no more than one 
	collider (interpreting should be faster, less mem usage)
	- depracate Line_group_engraver, must use Line_group_engraver_group

	
pl 73.jcn1
	- tiny topweb.yo fixes (added 'Documentation/out-www/' to some urls)

*********
pl 73
	Yodl developent:
	  ftp://pcnov095.win.tue.nl/pub/yodl/
	  http://www.digicash.com/~jan/yodl/
	- removed BLURBS from makefile
	- stepmake pl 16
	- To Yodl:
	  * *.pod -> *.yo (should fixup pod 'manpage' legacy)
	  * dropped pod2* config stuff

pl 72.hwn1
	- count "constraint off" as degeneracy
	- zet-lily stuff.
	- bf: add Meter_engraver 
	- bfs: tutorial

pl 72.jcn3
	- Documentation/man texinfo-> YODL!

pl 72.jcn2
	- more texinfo:
	  * texi2html workarounds: junked man/*.pod
	  * Documentation/man: pod -> texinfo
	- Coriolan: viola part

pl 72.jcn1
	- doco/mutopia/website fixes

*********
pl 72

pl 71.jcn4
	- try at texinfo: 
	  * lilypond.texinfo
	  * stepmake pl 13: texi2man
	  * lilypond.1 now generated from texinfo
	  * lilypond.info

pl 71.hwn2
	- changed QLP asserts to warnings; now you can see the
shabbyness of the QLP code
	- ChoireStaff context
	- more tutorial doco
	- mudela-book: name output files to per section and chapter.  

pl 71.jcn3
	- bf: convert-mudela: added StaffGroup
	- bf: various .ly: (WhyIsThis; we'll drop a_"bla" and use '_', no?)
	- stepmake pl 12
	- bf: abbrev + beam (urg: internote y dim bug)
	- debian conffiles (AF)

pl 71.hwn1
	- vocab fixes
	- more tutorial stuff
	- quart -> fourth
	- depracated contexts with _ in name  (mudela 0.1.17)
	- bf: don't crash if default context can't be found
	- distinction between global and local \header block.

pl 71.jcn2
	- msgfmt check
	- rpm: crude fix for input dir (urg: should get doc on rpm spec; 
	  why is that so hard to get hold of in plain text?)
	- found (bit undocumented) sticky abbrev mode in stem-grav:
	    c8:16 c: c:
	  * bf: enable disabling
          * disabled sticky abbrev req
	- urg: transposing for midi (should fix audio-items)
	- sticky abbrev req: a8:16 a a a8:
	- bit more coriolan

pl 71.jcn1
	- added PATCHES to web page
	- rpm-dist, doos-dist, show-latest to step

********
pl 71
	- bf: po install
	- fixed somewhere: space between bar line and first note [HWN]
	- bf: DOTTEXT
	- bf: (don't) install libintl
	- configure fix for irix tr
	- bf release.py
	- stepmake-0.1.9: fixes make install, rmp-dist
	- bf: mf-to-table
	- make-patch: lily-diff

pl 70.jcn6
	- make htmldoc defaults to out-www
	- moved some python stuff to stepmake-0.1.8
	- aux config scripts from stepmake
	- stepmake-0.1.7 as ./stepmake: drop versioning on sub-package dirnames
	- po fixes
	- computer-forms.el

pl 70.jcn5
	- bf: Documentation/make html
	- bf: coriolan ... almost there
	- bf's: lilyponddefs: (fixes make website)
	  * moved errordefs (mmm, perhaps \input's should have been moved...)
	  * moved def of interscoreline 
	  * moved def of setdynamic
	- stepmake 0.1.6
	- include fixes

pl 70.jcn4
	- configure stepmake too
	- make dist recurses into stepmake
	- stepmake-0.1.5

pl 70.jcn3
	- make; make dist work (without packaging) stepmake-*
	- mv'd outputter* tex-outputter* 
	 its not so handy to have files with the same prefix as our out dir :-)
	- verbatim included stepmake-0.1.4
	- DOTTEXT->.txt
	- verbatim included stepmake-0.1.3

pl 70.jcn2
	- changed 'current' to 'lilypond' in scripts that only i ever use...
	- tenuto shorter, thicker and follow into staff
	- computer{.data,-forms.el}
	- mark
	- by default don't make libintl 
	- make install for libintl

pl 70.jcn1
	- generic make fixes

********
pl 70

pl 69.jcn4
	- included libintl from gettext-0.10
	- fix: staff-bracket on one staff too
	- bf: lilymake/Rules
	- generic lily-make-0.1.0 package; shared as example with lilyx-0.1.0
	- junked automake stuff from aclocal.m4
	- bf: BASH scripts

pl 69.hwn1
	- standardised virtual accessor naming for Requests
	- doco updates.
	- bf: tied accidentals.

pl 69.jcn2
	- now DATADIR = datadir = /usr/local/share/lilypond ...
	- bf's: DATADIR/datadir: by default: /usr/local/share; '/lilypond'
	  must be added whenever necessary
	- bf: begin/end html for BLURBS; junked html-accents...
	- html-accents

********
pl 69 (june 2)
	- bf: table-to-html: convert_html
	- bf: added fingerfont in fetdefs.tex
	- crude fix: fetdef repeatcolon
	- gallina.ly to relative octave mode (MB)

pl 68.jcn3
	- bf: libintl.h include
	- readded: DATAFILES =.*data (too late, computer vocab missing...)
	- span-score-bar:
	  * don't set piano braces that span less than two staffs
	  * don't set staff brackets that span less than one staff
	- bf: abbrev (internote dim)
	- more coriolan, hara-kiri
	- add arcs to bracket height to avoid colliding of brackets
	- HAVE_GETTEXT
	- computer.data: modest start of computer-related vocabulary 
	- configure (localdir/datadir) fixes

pl 68.nenn1
	- fix for postbreaks past line_group
	- bf: harakiri: set empty

pl 68.hwn1
	- use AFM iso autogenerated table.
	- more bits of tutorial

*********
pl 68.jcn2 (may 29)
	- bf: configure.in localedir/datadir (urg)
	- libc-extension.cc: vsnprintf + check
	- bf: blurbs
	- @BASH@ for scripts that are actually (still...) bash iso sh
	- check for bash

pl 68.jcn1
	- gettext/intl checks; (AO)
	- bf: meter-switch
	- COPERTINA

pl 68
	- AFM file stuff: afm.cc, afm-reader.cc, mf-to-table.py
	- removed c0 position from get_staff_info ()
	
pl 67.jcn2
	- grace example
	- bf: sticky plets
	- bf: s0
	- bf: twinkle.ly
	- junked implicit to-string conversions
	  * now used Scalar for all explicit implicit conversions
	  * moved implicit-conversion String constructors to to_str (...)
	- _f with Strings
	- bf: BLUB: re-added empty line 
	- bf's: reincluded: tar-docxx.sh, topweb.pod.in (<aol>me too!</aol>)
	- po: unification/breaking-up of (some) messages
	- crude get-lily/build-lily scripts
	- make targets "po-update" "show-po-update LANGUAGE=xxx"
	- handier internationalisation funcs _(), _f () iso macro
	- String_convert::form_str (fmt, ...)
	

*******
pl 67 (may 27)
	- multiple font sizes.  See input/test/sizes.ly
	- w32 blurb by Dominique Cretel
	- bfs faqs
	- cleaned Identifier further; canonical accessors

pl 66.jcn7
	- bf: hara-kiri clefs: (the "u" is "\unknown"; how to fix this?)
	- bf's: make website
	- better configure language message
	- bf: lilpond.spec
	- bf: configure/localedir
	- internationalisation: po/*
	- distribute mutopia/ in binary rpm too
	- FLAPTEKST
	- "generate" all debian conffiles in out/
	- BLOEP; and BLURB substituted by configure throughout doco

pl 66.jcn4
	- bf's standchen
	- website fixes for .fly
	- target doc++; tar-docxx fixes
	- topweb fixes
	- configure check for pod2html 5004/5003
	- switch init file on extension (some new ones):
	  * init.ly:  normal structured Mudela
	  * init.fly: simple Mudela (for on-the-* without tape ly's)
	  * init.sly for simple init (no properties,scripts,midi)

	- bf: stem with flags (forgot internote dimension)
	- bf's mutopia (urg, properties)
	- String_storage: parse string identifiers  (i didn't do it, nobody saw me do it, you can't prove anything)
	- scsii-prelude: urtext and suggested slurs separated
	- converted twinkle, kortjakje, standchen, preludes to relative
	- conflily -> zet-lily
	- -Q --find-quarts option
	- bf: add-html-header: mailaddress () iso mailaddress
	- bf: show-latest looks at MY_PATCHLEVEL too
	- fixes scsii



***********
pl 66 (may 18)
	- junked literature.pod (we now have the .bib file)
	- bits of mudela.doc
	- other-packages.pod -> other-packages.bib

pl 65.jcn3
	- print_dimen: don't print "NaNpt"
	- fixed Coriolan, added "instrument" and "instr"
	- MIDI favours property "midi_instrument" over "instrument"
	- Bar::do_height iso brew_molecule hack: not quite yet...
	- stem/beam: more stuff runtime
	  * beam-dir-algorithms
	  * beam-stemlengths: take unnatural dir into account
	  * natural stemlength
	  * forced stemlength shortening
	- bf: Bar: don't make molecule if invisible; fixes hara-kiri
	- robustification of MIDI: never return "", always return sane 
	  string and print warning
	- bf: typo Key_change_req::sharps(); fixes MIDI
	- scsii: new relative octave fixes, gigue

pl 65.jcn2
	- included some auto-generated mf files for MikTeX (doos).
	- hara-kir: nicer set-transparent
	- relative.pod: doco'd blonder relativeness


pl 65.jcn1
	- staff-margin-engraver
	- blind scsii fixes for new relative mode
	- bf's: hara-kiri-*
	- jumps in topweb.pod

*********

pl 65 (may 15)
	- fixes for template instantiation (AO)
	- junked standchen-easy,
	- mudela 0.1.15:  deprecate \duration, junked \octave relative
	- small doco fixes
	- moved data from Melodic_req into Musical_pitch (analogous to
	Duration and Rhythmic_req)
	- implemented \relative c' { .. } and associated Relative_octave_music
	- junked \octave relative;

pl 64.jcn2
	- simple compile fixes
	- bf: beam:stemlens:knee
	- hara-kiri-*
	- bf: ctags
	- preludes-3.lym4
	
*********
pl 64 (may 13)

pl 63.jcn3
	- beam stemlength stuff runtime
	- dropped lq for beam-stemlengths, fixes [d d d] [d g d]
	- ugly sed fix for commas in .ly.m4
	- beam damp corrent fix
	- scsii: small fixes
	- preludes.ly; dropped silly preludes.tex

pl 63.jcn2
	- vocabulary on website
	- data-to-html.py
	- bf: beam damped-slope correct
	- bf: make website
	- some preludes-* fixes

pl 63.jcn1
	- "relative" sizes for titledefs
	- bib2html/man2html urls in INSTALL.pod
	- auto-generated feta stuff in doosdist
	- bf's: make dist, docdeps
	- bf's scsii

************
pl 63 (may 11)

	- non_fatal_error () (should use!)
	- Mozart Horn concerto 3, horn part
	- bf: plet-spanner

pl 62.jcn11
	- bf: beam::set-stemlen:iterations 
	- knee-bug.ly
	- use knee in menuetto-ii
	- bit on slope damping
	- some bf's and doco
	- bf's scsii
	- scsii: bf' new: sarabande
	- bf's allemande, courante
	- bf: knee: stem through beams
	- bf: too high beams

pl 62.hwn1
	- bf jcn8: deep copy Scope (ughugh.  I want GC!)
	- cleaned Identifier
	- mudela 0.1.14  'a -> a,
	- class Scope
	- .bib updates
	- key robustifiction for extreme octaves
	- ly2dvi 0.11
	- energy "normalisation" removed. 
	
pl 62.jcn8
	- beam: knee input/test/knee.ly
	- vimrc init for lily
	- errors display column number too
	- scsii: bf's, new: allemande, courante
	- looked at lyric lengthen "mir________." (eerste weigering)
	- beam: knee [c \stemdown c' \stemup 'c]
	- expressions parsed at identifier_init
	- bf: slur/stem/whole x-adjust: 
	  * use note-col width iso mean note-witdth
	  * note-column:width ()
	- now string variables in paper too -> mudelapapersize
	- paper_def: real dict -> identifier dict
	- My_lily_lexer: identifier dict stack
	- init paper and a4 stuff
	- \include \string
	- all rvalues from parser var pool -> access rvalue as \rvalue
	- string variables
	- ly2dvi 0.10.jcn1
	  * mudelapiece, mudelaopus (ugh, fix)
	  * textheight
	- more titledefs
	- bf: table 20 typeface widths
	- bf: toplevel/*.txt
	- bf: ugly Documentation/mutopia fix (should rename dir to Mutopia/ ?)
	- bf: make examples
	- www.digicash.com/~jan/lilypond
	- make website fixes
	- ambiguity fixes in .ly's
	- bf: relative-octave warning
	- relative-octave: guess if ambiguous
	- ambiguity warning for relative mode
	- scsii: prelude 
	- bf: slur gap
	- bf's: scsii: menuetto
	- .txt -> $(DOTTEXT)
	- make website fixes
	- .txt fixes
	- bf: typo make-patch
	- bf: *dist.sh cleanup
	- bf: release.py
	- bf: make/Targets doc (removed .txt extension)
	- rpm-dist.sh
	- make doos dist fixes
	- doos-dist.sh windoze dist script
	-- removed useless spacing hack at spring-spacer.cc:692
	- bf: los-toros: do multi-bar rests (setting SkipBars = 1)
	- scsii-menuetto.ly -> menuetto-urtext.ly, -cello.ly and -alto.ly
	- bf: \octave c'; for relative-octaves
	- bf: Documentation make

*********
pl 62
	- no-touch hak.
	- bfs: multi measure rests
	- fixed the website.
	- add extra space after breakable columns.


pl 61.jcn8
	- mudela relative octave feature: 
	  * Documentation/relative-octaves.pod
	  * \octave relative;
	  * lilypond -f for automatically finding new relative quote positions
	    (sorry, fully automated convert is too complex)
	  * mutopia/ltor.ly: octave quotes reduced from 511 to 59
	- better conflily
	- bf: abbreviation-beam-engraver: set beam::multiple_i_
	- bf: open_abbrev_parens
	- dotted/dashed slurs/ties
	- fixed-up scsii-menuetto; use dotted-slurs
	- slur_thickness runtime
	- bf: typo lilyponddefs: elevendefs
	- moved hard-coded slur parameters to runtime
	- make-patch -r: diff against latest release
	- allow semicolons after paper_identifier and \include
	- params.ly: parameterised some paper vars
	- bf: beam quantise for slope = 0
	- interbeam (mult>3) open-up to paper-def to paper!
	- "implemented" Paper-def::staffheight
	- simplification + bf bezier clipping
	- vandale fix
	- moved doco from paper*ly to fonts.doc
	- papers with expressions
	- paper20.ly: rewrote precalculated values as expressions
	- simple expressions in mudela (paper-body only)
	- beam_thickness centralised and run-time...
	- \nobreak
	- bf: beamquantise: never sit if mult > 1
	- bf: broken slur y-offset (not!)
	- pagelength hack in tex/headers
	- alignment of bracket (in span-score-bar.cc)
	- boolean *break_b to continue break_penalty_i; maar nu...
	- removed paper20 includes, \paper_twenty from examples
	- dropped latex files
	- renamed standje, standchen.
	- parser accepts range of mudela-versions
	- Mudela_version
	- String_convert::split
	- bf's: los-toros-oboe
	- braindead Break_req with penalty; junked Disallow_break_req and 
	  Break_force_req 
	
pl 61.ag1
	- implemented octave-shifted clefs.

********

pl 61
	- bf: mudela-book error msgs
	- don't dist feta-tables.
	- bf: mf-to-table, deps[0] catch
	- reworked initialisation parsing logic; Got a no-redtape mode
	  for free
	- 20 pt staffsize now default
	- dependencies for LilyPond (-d, --dependencies).  --debug moved to -D
	- (c) 1998
	- ly2dvi 0.10 (JAF)
	- changed \begin[options]{mudela} to \begin{mudela}[options]
	- more WWW hacks.
	
pl 60.jcn2
	- minor adjust for asymmetricity of beam symbol
	- added TEST beam quantisation; see input/test/beam-pos.ly
	- removed some empty .cc .hh
	- Grandstaff -> Grand_staff (After [Gerou] and Harvard Dictionary of
	  Music)
	- bf's: slur and tie post-processing
	- cleaned-up bow: get encompass
	- cleaned-up beam-yspan and beam-leftpos quantisation
	- misc.cc: some funcs to get lower and upper bounds from array of values
	- interval.*: Slice (Interval of int)
	- added some doco to beam.cc
	- removed some x,y by-ref passing in Lookup
	- cleaned-up beam-yspan quantisation
	- cleaned-up slur get encompass
	- configure: --disable-optimise for compile without -O

pl 59.jcn4
	- bf: beam quantise
	- bf: sticky plet bug
	- bf: chords in beam
	- bf: typo beamquantisaton
	- bf: don't blow_fit infeasible bows (x_i < x_0 || x_i > x_n)
	- bf's: beam/stemlengths, beam-bug [c8 c16 c16]
	- bf: placement broken tie
	- yet another try to raise bar-number
	- bf's: bow tangent clipping, allow higher bows

************
pl 60
	- mats patches: use Latex font stuff.
	- fixes to the .59 patch release (jcn)
	- make website|examples target
	
pl 59.jcn3
	- bf: preludes-5
	- no inline compiler warnings by default
	- bf: gcc 2.8 compile bow.cc
	- moved functions with loops from varray.hh to varray.cc
	- bf: minimum length for tie
	- slur clipping standard
	- bf: second broken slur minimum length

pl 59.jcn2
	- added some to .dstream
	- bf: second part of broken slur
	- slur encompassing noteheads adjust
	- bwv'd preludes
	- bf: make-patch -d
	- doc'd rerunning of autoconf
	- rest of real standje (rename and move simplified standchen to 
	  input/test?)
	- bf: clipping
	- bit better bar number placement

pl 59.jcn1
	- more INLINE
	- bf: multi-measure rest

pl 58.jcn7
	- los-toros: do multi-bar rest



***************
pl 59
	- ly2dvi 0.9.hwn1, -K switch, 
	- doc: moved manpages in separate directory.
	- do WWW stuff via make
	- mutopia-index.py
	- ly2dvi 0.9 (JAF)
	- multi platform build fixes
	- junked embedded switches, embedded MF, obsolete TeX stuff
	- junked virtual matrix storage: inlined most matrix computation,
	speed increase of 30%
	- junked taupindefs,  eglerdefs
	- rm'd taupin/egler from INSTALL
	- doc: engraving.bib, colorado.bib
	- input hierarchy.
 

pl 58.jcn6
	- multi-measure rests: moved acknowledge from timing-translator
	to -grav
	- slur clipping experimental...
	- bo to b
	- always announce multi-measure

pl 58.jcn5
	- bf: reset plet after reading mmrest
	- try at not generating moments...
	- Multi_measure_rest 'symbol'

pl 58.jcn4
	- try at multi-measure rests: part.ly
	- bf's: slur get_encompass
	- bf: slur clipping

pl 58.jcn3
	- experimental (--test) clipping of too high or tilted slurs
	- nicer slur control output and ps code
	- bit thicker and round-capped tuplet bracket
	- bf: slur.cc: RESIZE_ICE

pl 58.jcn1
	- varray.hh bezier.cc, slur.cc patches to avoid gcc 2.8.1 ice
	- some inlining fixes
	- configure: use -O to enable inlining
	- included and fixed new make-patch.py
	- bf: Mutopia.make
	- bf: offset: operator - ()
	- ugly hack bezier: do blow_fit twice
	- bf's: bezier: rotate,translate

***************
pl 58
	- more *.make hacking
	- bracket fix (AG)
	- clef fix (PC)

pl 57.jcn1
	- reincluded test/bow.cc
	- promoted Bezier bows to standard
	  * bf's: broken slurs
	  * some bf's: verneukeratificering van JCN code
	  * some bezier slur doco
	  * calculate Ties with Bezier bow
	  * junked tex-slur.cc
	  * junked ps-slur code
	  * junked height-only slur-correction
	  * lots of bezier/slur fixes
	  * bezier:blow_fit

**************
pl 57
	- verneukeratificering van JCN code.
	- lots of updates on our own makefile system.
	- junked automake & documented it
	- put rods into Spring_spacer too. Much cleaner
	- bf: weird spacings (enge floats)
	- bf: too many constraints added.
	- smarter constraint check
	- bf: table16 fontsize.

	- 56.jcn1's empiric computer science.
	- debian patches (AF)
	- solaris/irix patches (AO)


 pl 56.jcn5
	- bezier and slur: cleaning and fixes
	- bf: removed silly experimental beam feature

pl 56.jcn4
	- reintruduced slope in bug [c8 c16 c16] in favour of stemlen bug...
	- staff-side: accent half line higher
	- reincluded silly los-toros latex file
	- bf's: bezier.cc,bow.cc, mat.hh: rotate
	- bf: bezier slur: handle broken slurs
	- bf: beam
	- dehairifications of bezier.cc

pl 56.jcn3
	- bf's: offset multiply, matrix rotate
	- dropped los-toros latex file

pl 56.jcn2
	- even nicer excentric slurs; 
	- input/slur-bug.ly
	- los-toros with barnumbers ;-)
	- nice version of height-ajust bezier slurs (see sleur.ly --test)
	- bf's beam: 
	  * slope in[c8 c16 c16]; 
	  * allow no INTER position for normal quantising

pl 56.jcn1
	- bezier curves with raaklijnen

pl 56.ag1
        - `Makefile.am.wild's now should work correctly with VPATH (AG)

************

pl 56
	- more dutch vocabulary
	- Barnumber FAQ added
	- bf: abbrev over whole note.
	- feta: reverse turn.
	- bf: rod distance
	- bf: local key clashing

***********
pl 55
	- bezier check and ajust for slur height
	- better slur height ajust
	- DO chmod 755 *test/*sh
	- bf: discretionary of ||
	- bf: scripts within staff
	- NOT Grandstaff -> Grand_staff (yet?)
	- bf: cresc. decresc. height lookup.cc,init/table*
	- bf: staff-symbol (script placements)
	- staff-group-bracket
	- bf's preludes, los-toros
	- nicer trills
	- adjustment slur extend

**********
pl 54
	- bf dynamic_grav
	- bf accidentals with key change
	- bfs with command-items in non-breakable columns.
	- typos (thanks LM)

pl 53.jcn1
	- two new BUGs
	- preludes-* with trills
	- nicer trills
	- fixed ugly slur extend bug
	- first try at symphonic work: (start of) Coriolan
	- fixes: los-toros
	- test/ with some stupid tests
	- bf, again midi-output
	- --no-timestamps options for lily/mi2mu (to enable make check targets)
	- removed doubles in lilypython
	- smarter prev_version for make-patch

***********

pl 53
	- bf: c4 \< c4 \< 
	- bfs of spacing stuff


pl 52.jcn6
	- make check target
	- moved flower/test to flowertest
	- dist fixes
	- flower no longer independent package
	- bf: GNUmakefile
	- bf's: configure: debugging (default) /profiling
	- bf: Rational iface (fixes MIDI output)
	- bf: non --srcdir configure + build with GNU make (ugh)
	- ugh: autowildflower
	- bf's: invoking wild-perl
	- bf: ugh: staff-side.cc: placement height
	- bf's: gnu 2.7.2 link (huh?, everyone using 2.8?)
	- make-patch: default diff against (copy of) srcdir
	- bin/conflily configures in ../build
	- GNUmakefiles that do:
	  * auto-update of Makefile.am.wild
	  * auto-switch to builddir
	- bf's: configure --srcdir
	- fixes for los-toros/twinkle/test-lyrics
	- latex file for los-toros (ugh)
	- staff-side: symbols closer...
	- half fix of midi output? duh.
	- oboe1 los-toros

************
pl 52
	- split up elem-group stuff.
	- per line widths
	- miscellaneous fixes by WL.


pl 51.jcn1
	- bf's: dutch->nederlands
	- Cygnus b19 compile/link fixes

************
march 27
pl 51
	- changed dutch -> nederlands, german -> deutsch etc.
	- norwegian (AG)

pl 50.jcn4
	- fixes for cygnus' gnu-windows32  beta19
	  be sure to compile with -fno-rtti
	- proof of concept for automated updating of Makefile.am
	  see mi2mu/GNUmakefile (still somewhat clumsy)
	- mv'd both config.hh.in to acconfig.h
	- copied printing/debugging/optimising options to flower conf
	- (some modified) fixes from AO
	- beginnetje los-toros-oboe
	- bf: DIR_DATADIR
	- bf: trills

************
pl 50
	- deprecate autowild
	- --srcdir fixes
	- ly2dvi 0.8

pl 49.jcn2
	- static (default) and/or shared libs flower and lily
	- patch from AO 'libtool 1.1.1'
	- mf: trill-symbols: feta-slag.mf
	- shared libs (ugh: hardcoded switch in configure set to static)
	- some fixes: denneboom.ly, standje.ly/standchen.ly
	
********
march 19

pl 49
	- parser assert changed to warning
	- fix stdin reading
	- small jcn fix
	- changed unbound Spanner from assert to warning
	- forced breakpoints
	- add a nowildcard: stmt to wild-perl

pl 48.jcn5
	- ugh: double parser/lexer: 
	  be sure to rm lily/parser.cc lily/lexer.cc or bin/clien 
	  before re-running autowild!
	- V.RSION 
	- bin/clien bin/meek
	- bf's: flower/VERSION, flower/config.hh, lily/lexer/VURSION
	  lib/config.hh bin/convent-mudela
	- lost of automake fixes
	- automake

******
march 12
pl 48
	- Pitch_squash_engraver makes Rhythmic_staff possible.
	- some fixes to buildscripts for sgi irix
	- misc. patches (WL)
	- move away from libg++: rolled own Rational class..
	- don't make gif files Documentation/ by default 
	- ly2dvi manpage (JAF)
	- ly2dvi 0.7 (JAF)
	- more clefs. (MB)

pl 47.jcn2
	- bf: interbeams and beam-stemlengths for size != 16
	- bf's: preludes
	- more introduction

pl 47.jcn1
	- voice{one,two,three} defines
	- preludes-*: fixes, junked multi, broke-down score-block
	- mudela-book: added center option

******
march 6
pl 47
	- Abbreviation now a separate item.
	- bf'd some gcc 2.8 warnings.
	- bf'd spurious space in autodep.
	- more clefs (MB)

pl 46.jcn1
	- start mudela introduction


pl 46.jcn2
	- bf's: preludes-*

*******
feb 27

pl 46
	- span-bar at upstep.
	- bf: \score { \score_identifier }
	- tenor clef (MB)

pl 45.jcn2
	- preludes-4,5,6
	- bf's denneboom (oeps, see loop)

pl 44.jcn7
	- text-item.cc: try to get fingers just above note...
	- set minimum space between columns
	- bff: mf/Makefile out/*log required: new .ly .tex's with make-dist :-(
	- bf's midi ascii-debug output
	- bf: property instrument 

*******
feb 12
pl 45
	- bf: translator switching 
	- SunOS and IRIX patches (AO)
	- preludes bugfixes; preludes.tex ugh (JCN)
	- shared lib numbering (AF)
	- various fixes for debian (AF)
	- ly2dvi .6.jaf (JAF)
pl 44.jcn6
	- bf: crescendo.cc: bigger and use bar_size
	- slur: guess extra height for height limit for extending notes/stems
	- ps: adjustable slur height limit, bf crescendo


******
feb 6
pl 44
	- ly2dvi 0.6.hwn1 
	- ly2dvi 0.6 (JAF)
	- use ly2dvi for website

pl 44.jcn2
	- fingers default to above note
	- preludes-2.ly
	- parser: fingerings
	- preludes-1.ly
	- bf: denneboom.ly
	- preludes-3.ly.m4, standje.ly, preludes-4.ly
	- make rule for macro ly-files
	- pletvisibility (init/property.ly): 
	  * default no bracket with beams
	  * invisible plet bracket feature
	- finger dir in text-def

*******
feb 2

pl 43
	- bf: broken Plet_spanners
	- more GNITting
	- avoid some more global ctors, for NeXTstep
	- some NeXTStep patches from tiggr
	- don't do overstrike/bold chars in textfiles


pl 42.jcn2
	- bit hesitating start of mutopia
	- bf: don't try to typeset unterminated plet
	- separately sticky plet durations: "c4 c4*2/3 c8 c4*1/1", ok Mats?
	- denneboom.ly (half-baked version)
	- indent and shape, see ^ 

pl 42.jcn1
	- bf: memmem revisited
	- bf: ps: draw_plet vertical endings
	- renamed stem_start to stem_begin
	- bf: plet bracket placing on differently orientated stems
	- more standje.ly and fixes
******
jan 28

pl 42
	- ly2dvi 0.5 (JAF)
	- italian.ly (thanks, Paolo)
	- bf: first \mudelapaper output (BS)
	- bf: cathedral + bazaar URL (thanks, Barrie)
	- bf: libc-extension.hh (AO)

pl 41.jcn4
	- plet brackets (always) in ps (only)
	- Plet_spanner derives from bow
	- bf: mf/Makefile: let %.tex %.ly depend on %.mf,
	  iso non-distributed %.log
	- mi2mu mudela 0.1.8
	- bit better plet number placement
	- handier plet syntax: [2/3 c8 c c ]1/1 and \[2/3 c2 c c \]
	- Plet_swallow_engraver for lyrics
	- bit better plet number placement (NOT)
	- new plet syntax: combined beam and plet open
	- more standje.ly 
	- new plet syntax: start: \plet2/3 stop: \telp1/1
	- Plet_req, Plet_engraver; removed plet stuff from beam

******
jan 20
pl 41
	- warn for score with multiple Music blocks
	- bf: \plet (MB)
	- \textsharp in 16pt
	- malloc frobnifying
	- more fontsizes: 26pt, 11pt, 13pt
	- \textstyle "bold"
	- .rpm: remove old fonts

pl 40.jcn2
	- bf: typo scores.cc
	- bfs: non-default base constructor calls
	- bfs: virtual destructors
	- standje.ly: the real standchen (first bit)
	- gcc 2.8 compile
	- nicer scsii-menuetto

pl 40.jcn1
	- bf: breaking of :| bar
	- bf: lyric substitution of _ -> ' ' flower/libc-ext:memmem
	- no slope=0 beams between stafflines
	- bf: tex without lily-ps-defs
	- bf: embedded mf shift: added '%' to \embeddedps
	- doos compile

******
jan 12
pl 40
	- some doco fixes
	- debian diffs (AF)

pl 39.jcn2
	- bf: bit smarter atan() for feta-sleur (thanks wendy)
	- bf: y quantise of multiple down beams (typo)
	- minor doc fixes
	- bf: distribute mfdeps and moved from mf/out/mfdeps to mf/mf.dep
	- some changes to ANNOUNCE
	- fixes for simple slur/tie placement
	- embedded MF fonts identified by parameters -> reusable runtime fonts
	- clean-embeds.sh
	- runtime MF beams: feta-beum.mf
	- bf: enable switching PS off
	- updated runtime MF feta-sleur.mf with new PS slur algorithm

******
jan 5 1998
pl 39
	- 0.2 ANNOUNCE sketch
	- unix style paths for LILYINCLUDE env
	- show all output pages on website
	- ps-to-gifs.sh
	- bf: wtk1-fugue2
	- python make-website
	- higher brace resolution 
	- phased out musixtex stuff
	- bf: rhythm.ly
	- PS slurs
	- PS beams
	- Bow units
	- turn on PS by default
	- turn off barnumbers by default.
	- bf: halfbeam size.
	- bf: -M bug
	- stafflinethick in PS (crescendi)
	- continued (de)crescendi (in PS)
	- bf: spurious beam reqs
	- handle unfeasible spacing cleanly. 
	- ML-address change
	- output naming: default to basename[-serialnumber].{midi,tex}
	- bf: clef width

pl 39.jcn2
	- make-examples.sh
	- leftright repeat sign + repeatbar dims
	- smaller minimum sized rod at end of bar
	- bf: spacing.ly 
	- less space at begin of bar
	- experimental whitespace fixes at begin and end of bar
	- added to beams.ly
	- open-up beam spacing for mult > 3
	- fixed hang/sit to overlap iso aligne with staffline
	- fixed inter beam spacing, paper*.ly
	- scsii-menuetto.ly fixes
	- init/property.ly
	- property settings for beam quantiseing and damping
	- provisionary multiple-beam fix

******
pl 38
	- bf: \> \! \ff (crescendo overlap)
	- misc feta-fixes, flageolet sign.
	- midi tempo fixes.
pl 37.jcn3
	- max beam slope "compile time parameterised" and set to 0.6
	  (oh, how we need runtime generated beams!)
	- beam's left y-pos quantisation
	- beam slopes' y-span quantisation
	- stem.ly

pl 37.jcn2
	- feta: fixed sizes small numerals + flageolet


*******
dec 12
pl 37
	- --postscript
	- don't crash non-fitting grouping (thx, John)
	- attach unended spanners to a column (thanks John)
	- bf: unended tie
	- bf: tie direction
	- bf: unended slur

pl 36.jcn2
	- feta: small numerals
	
********
dec 9

pl 36
	- bf: notehead collisions
	- bf: dot y-position
	- use Item::break_priority_i_ for horizontal alignment of breakables.
	(it still sucks)
	- junk some derivation checks, junk Normal_*_bar
	- FlowerLib fixes.
	- twinkle fixes.
	- feta: flag/clefspacing


*******
dec 5
pl 35
	- naming: lily-init iso symbol.ly
	- mf braces
	- center textscripts.

pl 34.jcn1
	- mf: nicening of dyn, klef, rest
	- fingerfont
	- bf: 12/8
	

********
dec 2
pl 34
	- bf: mf: numbers and alto clef
	- bf: scsi-menuet
	- PS crescendos
	- ly2dvi diffs (JAF)
	- debian diffs (AF)
	- w32 doco fix (JCN)


********
nov 24

pl 33
	- added abbrev.ly to font.ly; rm'd abbrev.ly
	- don't process scores on parse errors.
	- bf: kortjakje.ly
	- bf: invisible stems in beams (abbrev.ly)
	- lytodvi script (JAF)
	- output Paper_def settings to TeX file. (eg: linewidth)

********
nov 19
pl 32
	- change type checks (ughugh) to derivation checks (ugh)
	- this fixes clef bug.
	- bf: order of breakables: meter comes after bar.
	- bf: do error iso coredump on unknown symbol-table
	- bf: release.py, copy patch too. 
	- bf: add makefile dep for disting MF logs.
	- bf: don't read font-en-tja*.ly, but feta*.ly

pl 31.jcn2
	- first version of (non-ugh) c-klef
	- bf: mi2mu: notes of zero duration as comments
	- feta: ugh c clef


********
nov 17

pl 31
	- bf: replaced Score_column assert by a warning (thanks Scott)
	- bf: mi2mu version output (thanks Scott)
	- faq updates
	- always output lily header with  Lily version
	- bar mucking: make scorebars/braces different from repeat bars.
	- feta: repeatcolon, clef bf's
	- debian/ updates. (AF)
	- moved debian stuff into toplevel dir

********
nov 11

pl 30
	- feta: G clef. 
	- scripts now do relative coords (fixes lyrics + barnumber bug)
	- bf: Lyrics lexer mode
	- bf: bass clef

********
nov 6
pl 29
	- feta: bass clef, bf: dynamics, bf: 64th flag
	

********
oct 30
pl 28
	- revised Staff_symbol::brew_molecule_p ()
	- naming: \makelilytitle
	- fixes for TeX titledefs (JAF)
	- junked some obsolete pedal stuff.

pl 27.om-je-te-helpen-met-je-ps-spul.jcn1
	- embedded slurs:
	  * bf: placements
	  * added \embeddedtex
	  * postscript is default
	  * fixed \embeddedps
	  * fixed mf: draw_slur
	  * postscript macro: draw_slur

********
oct 29
pl 27
	- -t/--test switch for experimental stuff.
	- bf: debian optimize is not with 'z'
	- mf: naming feta fonts are now called feta16, feta-beams16, etc.
	- feta: ledgerline
	- lily adjustments for new and elegant ledger line
	- bf: mf-source path.

pl 26.jcn1
	- bf: numerals
	- sleur.ly
	- embedded slur testing 
	- bf + patch: make-patch release.py / VERSION


********
oct 26
pl 26
	- bf: \transpose
	- feta: numerals 0 - 9, rewrote flags.

	

********
oct 22

pl 25 	
	- variable stemlength
	- feta: 32nd, 64th flags
	- font.ly
	- dist & tarball made in out/
	- rewrote release.sh in python
	- notehead/stem attachment better.
	- more Stem cleanage
	- related Beam cleanage
	- started numeral font (JCN)
	- bf: whole rest outside staff.

*********
oct 20
pl 24
	- internationalization preps (FP)
	- rewrote make-patch in python
	- BUGS: added another flex/libio crash explanation
	- feta: flags


********
pl 23
	- feta changes: 1/4 rest, flat, bf 8-128 rest
	- bf: cadenza
	- bf: scripts
	- bf: rest-collision
	- bf: meter placement
	- junked cpgento.sh

*********

pl 22
	- bf: lyric 's- Zondags
	- bf: colliding accidentals: renamed translate(Real,Axis) to translate_axis()
	- renaming of scripts
	- strings with escaped characters.
	- bf "string_with_\"_embedded"
	- bf: mf/Makefile
	- feta changes (trill, organ pedals)
	- updated mf-to-table for new feta conventions
	- changed header format to something sensible.
	- moved staff to centerline == 0;

********

pl 21
	- shrinking uses more energy  than stretching
	- check IO error on writing (disk full?)


*********

oct 8
pl 20
	- don't swallow non lyric-stuff in lyrics
	- x-position of Stem
	- more feta changes
	- move scripts to right
	- genheader.py replaces genheader.perl

pl 19.jcn2
	- bf's mi2mu:
	  * Midi_track_parser::note_end_all
	  * staff output uses key, meter, tempo read
	  * command line read minor key
	  * minor key notenames

pl 19.jcn1
	- small changes to sharp, fermata
	- small changes to lilypond.lsm+doc, lelievijver.lsm
	- mi2mu updeet + bf

pl 19
	- bf: keyword.cc rm'd struct defs
	- dots: support for feta dots.
	- lots of font (feta) tjanges
	- mf-to-table rewrite in python

*********
pl 18.jcn1
	- check for python, mf-deps fix

pl 18
	- bf: Box[X_AXIS] = b
	- bin/mf-deps.py script
	- moved beams out of font-en-tja into vette-beams.  
	- Made corresponding .cc changes.
	

jcn patches
	- egcs compile (no link yet)
	- nicer 4rest
	- beam font (je kunt wel tegen een grapje, eva?)
	- mf-to-table: 
	  * "breapth" (x-depth) feature
	  * handle generic stuff such as beams
	- polished noteheads
	- fixed 8-128 rests
	- 4rest
	- mf-to-table generates tex defs
	- bf:mf-to-table and conflily outname check
	- 8-128 rests

******
sep 24
 
pl 17
	- bf: ledgerline width
	- bf: toccata-fuga-E
	- took out some hardwiring of tex-beam
	
pl 16.jcn1
  	- mf-to-table.in: generate mozarella metric info tables
	- autometric.mf: write metric info to mf logfile
	- ital-r.mf, smaller ital-m.mf
	- variable streepjes length (top/bottomlines); fixed (for 20pt?)
	- streepjes twice as thick as staffrules
	- even more pronounced bolletjes -- how 'bout this wendy?
	- quarter and half note after drawings (a/b less distinct)

*****
sep 19
pl 16
	- revised mudela-man a bit
	- ; optional after \musicidentifier
	- bf: doco about {Mus*,Opus}TeX
	- bf: configure: MFDIR
	- bf: String::operator bool () removed
	- bf: String::operator char const * () removed
	- bf: Line_spacer::~Line_spacer () added: plugged memleak
	- bf: Line_of_score::do_unlink () call Spanner::do_unlink
	- bf: rests in beams
	- bf: textnatural
	- bf: 20 pt flags
	- bf: longarest 
	
pl 15.jcn1
	- bf: typos whole and half notehead
	- de-uglyfied bolletjes.mf
	- ascii output of font metrics in mf logfile

******
sep 17

	
pl 15
	- put top of NEWS file in the webpage
	- breadth first search for engravers.
	- bf: coriolan-alto.ly
	- Stem / Notehead width now properly calced
	- Atom and Symbol merged

pl 14.jcn1
	- lily's own noteheads (balls/globes :)  (font-en-tja*.mf)
	- {table,paper}* and taupindefs adaptations (when are we moving?)
	- fp, sf, sfz dynamics
	- font.ly
	- bf: dist mudela-mode

*******
sep 15

pl 14
	- Simple but nifty mudela-mode.el for Emacs
	- slightly better syntax for single-note-repeat, now default kept in
Stem_engraver
	- bf: Abbrev_beams are not the only beams (see: jcn4, stem-info, thanks, Jan)
	- a CPU timer for Interpreting and Breaking
	- Separate Score_elem:
	  * invoke-once stuff in Super_elem (using function pointers; much cleaner now)
	  * geometrical stuff into Graphical_element
	  * Axis_group_* accept Graphical_elements iso. Score_elems
	  * A dimension cache, hopefully this makes lily a bit faster
	  * TeX output moved out of Score_elem, separate interface Outputter
	
	- < \multi 2; bla >  -> \multi 2 < bla > (mudela 0.1.6)
	- bf: don't do \multi if \type specified
	- Translator switching: Change_translator, Change_iterator
	

pl 12.jcn4
	- fixed dynamic f, magstep bug
	- gaps on abbrev-beams 
	- bf: stem-info
	- bf: last abbrev
	- bf: stem: do_width
	- bf: removed rest-column.hh

*******
sep 11

pl 13
	- big Rest/notehead rewrite:
	  * separated Rest, Note_head and Dots
	  * Dot_column: dots are now chord-wise aligned 
	  * Rhythmic_head is base for Rest, Note_head
	  * Merged Note_column and Rest_column
	  * Rest_engraver
	- grand Engraver/Translator/Performer rewrite.
	  * properties:  \property voice.dir = -1 (mudela 0.1.3)
	  * Input_translator junked, now Translators are generated
by the parser (mudela 0.1.4)
	  * Translator changing: \translator Staff=oboesolo
	  * Translator preselect: \type Staff=bla < c4 >. (mudela 0.1.5)
	  * Engraver/Performer now derived of Translator.
	  * Engraver_group_engraver/ Performer_group_performer derived of
	Translator_group
	  * renamed: Voice -> Thread, Voice_group -> Voice
	- renamed Audio_score to Performance
	- junked mididef statics
	- Audio debug output
	- bf: excess [] in scsi
	- bf: swallow \skips
	- bf: don't crash on infinite dims
	- renamed wohltemperirt to wtk1-fugue2
	- bf: address in GPL
	- bf: errors in stdin
	- bf: stop if errors in init files
	- bf: move stem too when doing collisions
	- Molecule::add_XXXX -> Molecule::add_at_edge ()
	- doco updeet: why no midi FAQ, index, CodingStyle hungarian


pl 12.jcn3
	- try at better dynamic font, copied from cmbxti10: mf/*
	- typesetting abbreviation beams; abbreviation-*
	- some simple abbrev fixes + code cleanup (dank je, lieverd)
	- typesetting simple abbreviations: c4:16 === [c16 c c c]

pl 11mb
	- Support also for \longa in duration-convert.cc, init/ and tex/
	  files. (MB)

********
sep 3


pl 12
	- bf: don't redefine tex primitives like \textfont and  \mathfont
	- nicer broken slurs (?)
	- bf: error status upon parse error
	- robustness in Lookup::*slur
	- bf: mi2mu: warn if 0-length string in midi-file
	- output id-footer

********
sep 1

pl 11
	- forms for Musical vocabulary 
	- ignore \r for windows
	- Now paper{score,def} & midi{def,score} derived of class
Music_output[_def]. Score is almost empty.
	- Engraver hacking:
	  * junk Text_engraver
	  * Timing_engraver
	  * barnumber now really counts the number of bars
	  * Separated Stem_engraver and Beam_engraver
	  * junk Stem_beam_engraver
	  * no need for Stem_reqs
	- use Direction = {LEFT, RIGHT, UP, DOWN} iso. -1, 1 throughout source
	- ties and slurs with Drul_array
	- junked Spanner_elem_group
	- bf: w32 fixes
	- Spanner now spans items.
	- more GNITting ( bla ) -> (bla), indentation
	- Drul_array
	- Paper_column now is derived of Horizontal_group_item. Items
are no longer hardwired into a Paper_column
	- bf: stdin input
	- PCol -> Paper_column
	- Wtk-i, fugue1, prelude1 (SR)

*******
aug 21
pl 10
	- bf: init pending_indent_i_
	- output header to TeX file. Who wants to write TeX to make it work?

	- mi2mu: bf's, --key option
	- removed Duration(int,int)
	- bf: Duration_convert::dur2_str

pl 9.jcn2
	- redo of mi2mu frontend (midi-parser)
	- bf: String_convert::bin2_i; added bin2_u
	- bf's: Binary_source_file
	- bf: constr. Tempo/Timing_req
pl 0.1.8.jcn3
	- table20, standchen-{16,20}*
*******
aug 18

pl 9	
	- declare rhythic_request
	- preliminary support for real \mudelaheaders
	- context-sensitive arithmetic spacing. Looks alot better
	- silly GNU braces.
	- JCN fixes for pl 8
	- bf: midi instrument
	- Vocabs from GMP-I

pl 8.mb:
	- use log of duration-name

*******
aug 15
pl 8

	- gif -> xpm
	- bf: Whoops! Open eyes now, when finding shortest note in
spring-spacer. Fixes spacing problems.
	- GNU coding: parentheses (here you are, Franc,ois :-)
	- all macros now UPPERCASE
	- Identifier blondification: don't use void*
	- Identifier doesn't store its name. Much cleaner now.	
	- bf: Rest_collision_engraver now always announces
	- bf: announce Staff_sym only once
pl 0.1.7.jcn1
	- complete redo mid/back-end of mi2mu
	- bf: do not create/play empty Audio-{text,instrument} events


********
aug 14

pl 7
	- Audio_element as base for Audio_item and Audio_staff. fixes
midi-lyric segfault
	- added "Gallina a due violini" (MB)
	- make MIDI files on website.
	- Collision now also is an Element_group.
	- bf: announce Collision when created

********
aug 13
pl 6
	- bf: 13 shift/reduce in parser fixed
	- bf: plets in parser
	- bf: main.o (again)
	- german notenames (RM)
	- Score_elem::offset_ now relative to its X/Y groups. Slight
speed increase? 

********
aug 12
pl 5

	- Wordwrap revert
	- added LilyPond in WWW titles
	- oops. A quaver is a 8th note, not a 4th
	- bf: main.o remaking in lily/Makefile 
	- unhair Voice_iterator 
	- bf: error if no music in score
	- bf: don't create translators if Chord element is empty
	- bf: ctor of Tempo_req
	- use virtual do_equal_b() for request comparison
	- bf: turned off default plets: c4*2/3 c4*2/3 -> c4*2/3 c4*4/9
	- bf: time_int() of an empty chord/voice
	- more corrections to GMP Manifesto
	- debian updates (AF)
	- bf: g++ ICE in Performer_group_performer
	- use fread() for reading in Simple_file_storage

pl 0.1.3.jcn1
	- mi2mu: simplification +bf lily_stream: indentation and wordwrap
	- mi2mu: bf: blunt: non-alpha(num) chars from identifiers

*********
aug 11

pl 4
	- correction of GNU Music Manifesto
	- moved lowlevel stuff of Source_file to Mapped_file_storage. 
Interface via File_storage. (Now using Simple_file_storage)
	- bf: c4-"A"-"B"
	- bf: exit status
	- declarable keys
	- Engraver_group_engraver::find_simple_engraver()
	- bf: lily/Makefile
	- bf: Midi_note_event ctor 
	- bf: tempo request
	- popular twinkle twinkle (JV)
	- mudela: parse tempo requests, \midi{ \tempo 4= 60;}

******
aug 8
pl 3
	- don't crash if no Clef_engraver.
	- PScore -> Paper_score
	- bf: Score_elem::extent() init of interval
	- bfs: {Horizontal,Vertical}_group related
	- bf: don't change original Item while doing making 
	multiple copies
	- bf: configure DATADIR
	- bf: type of spanbar.

pl 0.1.2.jcn1
	- minor doco fixes
	- revived Midi_walker
	- moved midi out of performer-* to audio-*
	- Audio_staff
	- removed all <ugh> members from performers

*******
aug 7
pl 2
	- junked Line_of_staff
	- bf: --output
	- bf: . in lexer
	- bf: mi2mu version number.
	- bf: in mudela-book
	- bf: don't forget to make mi2mu
	- Bar_number_grav: measure numbers (experimental)
	- Bar_column_engraver, Bar_column: scripts on bars
	- rewrite of {Horizontal,Vertical}_group. Yes, again. 
Now neatly integrated into class hierarchy
	- Axis, Axis_group
	- Debian rules (AF)

pl 0.1.1.jcn1
	- Audio{column,score,item,...}, more generic audio
	- bf: Makefiles
	- bf: mi2mu mudela version
*********
aug 5

pl 0.1.1
	- {Horizontal, Vertical}_group.  A score_element may be in at most one.
	- This means Horizontal_group_item and Vertical_group_spanner need special support.
	- This also means a big speed increase
	- configure cleanup
	- bf: Choleski solve.
	- doc updates: lilygut, INSTALL

pl 0.1.1.hwn
	- recode of Break/Colhpos interfaces
	- Gourlay_breaking: dynamic-programming optimal solution for 
	casting off. Word_wrap is still optional
	- some printing short cuts if no -d specced.
	- band_matrices for column calcs
	- more Diagonal_storage fixes
	- retake: INFTY fixes ( now infinity_mom, infinity_f )

pl 78.jcn3
	- configure: ln and zip 
	- target doosdist -> lilypond-x.x.x.exe.zip: + executables - sources



